# set upstream name variable
%global srcname slixmpp_omemo


Name:           python-slixmpp-omemo
Version:        0.4.0
Release:        1%{?dist}
Summary:        OMEMO plugin for Slixmpp

License:        GPLv3
URL:            https://lab.louiz.org/poezio/slixmpp-omemo
Source0:        https://lab.louiz.org/poezio/slixmpp-omemo/-/archive/v%{version}/slixmpp-omemo-v%{version}.tar.bz2

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-slixmpp
BuildRequires:  python3-omemo
BuildRequires:  python3-omemo-backend-signal

%description
This library provides an interface between python-omemo and
python-slixmpp.



%package     -n python3-slixmpp-omemo
Summary:        OMEMO plugin for Slixmpp

%description -n python3-slixmpp-omemo
This library provides an interface between python-omemo and
python-slixmpp.



%prep
%autosetup -n slixmpp-omemo-v%{version}


%build
%py3_build


%install
%py3_install


%check
# No unit test available for now: disabling
##%{__python3} setup.py test



%files -n python3-slixmpp-omemo
%license LICENSE
%doc CONTRIBUTING.rst ChangeLog README.rst
# For noarch packages: sitelib
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info/



%changelog
* Thu Feb 11 2021 Matthieu Saulnier <fantom@fedoraproject.org> - 0.4.0
- Initial package
